notifier.h File Reference

This file provides a Notifier class to provide thread-safe signalling between a worker thread and the main program thread. More...

`#include <unordered_set>`
`#include <type_traits>`
`#include <pthread.h>`
`#include <c++-gtk-utils/pipes.h>`
`#include <c++-gtk-utils/io_watch.h>`
`#include <c++-gtk-utils/emitter.h>`
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes

class | Cgu::Notifier
| Provides thread-safe signalling between a worker thread and the main program thread. More...

## Namespaces

| Cgu
| Cgu::Thread

## Detailed Description

This file provides a Notifier class to provide thread-safe signalling between a worker thread and the main program thread.

For further details read this: Notifier.